nfsms = """\
update_field collisionreactions replaceme FRONT_REACTION Elasticity 0.25
update_field collisionreactions replaceme FRONT_REACTION RollHeight 0.2
update_field collisionreactions replaceme FRONT_REACTION WeightBias 0.2
update_field collisionreactions replaceme FRONT_REACTION MassScale 1
update_field collisionreactions replaceme FRONT_REACTION StunSpeed 0
update_field collisionreactions replaceme FRONT_REACTION StunTime 0
update_field collisionreactions replaceme FRONTSIDE_REACTION Elasticity 0.1
update_field collisionreactions replaceme FRONTSIDE_REACTION RollHeight 0.2
update_field collisionreactions replaceme FRONTSIDE_REACTION WeightBias 0.2
update_field collisionreactions replaceme FRONTSIDE_REACTION MassScale 1.2
update_field collisionreactions replaceme FRONTSIDE_REACTION StunSpeed 0
update_field collisionreactions replaceme FRONTSIDE_REACTION StunTime 0
update_field collisionreactions replaceme REAR_REACTION Elasticity 0
update_field collisionreactions replaceme REAR_REACTION RollHeight 0.2
update_field collisionreactions replaceme REAR_REACTION WeightBias 1
update_field collisionreactions replaceme REAR_REACTION MassScale 1.8
update_field collisionreactions replaceme REAR_REACTION StunSpeed 0
update_field collisionreactions replaceme REAR_REACTION StunTime 0
update_field collisionreactions replaceme REARSIDE_REACTION Elasticity 0.2
update_field collisionreactions replaceme REARSIDE_REACTION RollHeight 0.2
update_field collisionreactions replaceme REARSIDE_REACTION WeightBias 0.8
update_field collisionreactions replaceme REARSIDE_REACTION MassScale 0.8
update_field collisionreactions replaceme REARSIDE_REACTION StunSpeed 0
update_field collisionreactions replaceme REARSIDE_REACTION StunTime 0\
"""

momentscales = """\
update_field rigidbodyspecs replaceme OBJ_MOMENT_SCALE X 1
update_field rigidbodyspecs replaceme OBJ_MOMENT_SCALE Y 1
update_field rigidbodyspecs replaceme OBJ_MOMENT_SCALE Z 1
update_field rigidbodyspecs replaceme OBJ_MOMENT_SCALE W 1
update_field rigidbodyspecs replaceme OBJ_FRICTION[0] 1
update_field rigidbodyspecs replaceme OBJ_FRICTION[1] 1\
"""

vehicleTypes = ["challengeseries","cscopmidsize","cscopsuv","semi","cops","copcross","copghost","copgto","copgtoghost","coppit","copsportghost","copsporthench","copsuvpatrol","suvlight","suvs","racers","racing","traffic","street","truck","van"]
bodyTypes = ["vehicle","cars","cops","copsuv","racers","tractors","traffic","trailers"]
outfile = open("reactive-collisions.nfsms","w")

for vehicle in vehicleTypes:
	outfile.write(nfsms.replace("replaceme",vehicle) + "\n")

for body in bodyTypes:
	outfile.write(momentscales.replace("replaceme",body) + "\n")

outfile.close()