diffuseAmount = 0.25

timeOfDayLighting = {}

# The definitions below are from AJLethal's .R Lighting
timeOfDayLighting["0x94abdff0"] = {}
timeOfDayLighting["0x94abdff0"]["AmbientColour"] = {}
timeOfDayLighting["0x94abdff0"]["AmbientColour"]["X"] = 0.2
timeOfDayLighting["0x94abdff0"]["AmbientColour"]["Y"] = 0.23
timeOfDayLighting["0x94abdff0"]["AmbientColour"]["Z"] = 0.28
timeOfDayLighting["0x94abdff0"]["DiffuseColour"] = {}
timeOfDayLighting["0x94abdff0"]["DiffuseColour"]["X"] = 0.5
timeOfDayLighting["0x94abdff0"]["DiffuseColour"]["Y"] = 0.54
timeOfDayLighting["0x94abdff0"]["DiffuseColour"]["Z"] = 0.62

timeOfDayLighting["0x919b6689"] = {}
timeOfDayLighting["0x919b6689"]["AmbientColour"] = {}
timeOfDayLighting["0x919b6689"]["AmbientColour"]["X"] = 0.31
timeOfDayLighting["0x919b6689"]["AmbientColour"]["Y"] = 0.38
timeOfDayLighting["0x919b6689"]["AmbientColour"]["Z"] = 0.46
timeOfDayLighting["0x919b6689"]["DiffuseColour"] = {}
timeOfDayLighting["0x919b6689"]["DiffuseColour"]["X"] = 0.34
timeOfDayLighting["0x919b6689"]["DiffuseColour"]["Y"] = 0.24
timeOfDayLighting["0x919b6689"]["DiffuseColour"]["Z"] = 0.11

timeOfDayLighting["0xa01a3942"] = {}
timeOfDayLighting["0xa01a3942"]["AmbientColour"] = {}
timeOfDayLighting["0xa01a3942"]["AmbientColour"]["X"] = 0.14
timeOfDayLighting["0xa01a3942"]["AmbientColour"]["Y"] = 0.14
timeOfDayLighting["0xa01a3942"]["AmbientColour"]["Z"] = 0.1
timeOfDayLighting["0xa01a3942"]["DiffuseColour"] = {}
timeOfDayLighting["0xa01a3942"]["DiffuseColour"]["X"] = 1.0
timeOfDayLighting["0xa01a3942"]["DiffuseColour"]["Y"] = 0.95
timeOfDayLighting["0xa01a3942"]["DiffuseColour"]["Z"] = 0.75

timeOfDayLighting["0x0e1c797c"] = {}
timeOfDayLighting["0x0e1c797c"]["AmbientColour"] = {}
timeOfDayLighting["0x0e1c797c"]["AmbientColour"]["X"] = 0.28
timeOfDayLighting["0x0e1c797c"]["AmbientColour"]["Y"] = 0.31
timeOfDayLighting["0x0e1c797c"]["AmbientColour"]["Z"] = 0.41
timeOfDayLighting["0x0e1c797c"]["DiffuseColour"] = {}
timeOfDayLighting["0x0e1c797c"]["DiffuseColour"]["X"] = 1.0
timeOfDayLighting["0x0e1c797c"]["DiffuseColour"]["Y"] = 0.61
timeOfDayLighting["0x0e1c797c"]["DiffuseColour"]["Z"] = 0.04

timeOfDayLighting["overcast"] = {}
timeOfDayLighting["overcast"]["AmbientColour"] = {}
timeOfDayLighting["overcast"]["AmbientColour"]["X"] = 0.2
timeOfDayLighting["overcast"]["AmbientColour"]["Y"] = 0.2
timeOfDayLighting["overcast"]["AmbientColour"]["Z"] = 0.225
timeOfDayLighting["overcast"]["DiffuseColour"] = {}
timeOfDayLighting["overcast"]["DiffuseColour"]["X"] = 0.5
timeOfDayLighting["overcast"]["DiffuseColour"]["Y"] = 0.5
timeOfDayLighting["overcast"]["DiffuseColour"]["Z"] = 0.475

timeOfDayLighting["dusk_overcast"] = {}
timeOfDayLighting["dusk_overcast"]["AmbientColour"] = {}
timeOfDayLighting["dusk_overcast"]["AmbientColour"]["X"] = 0.35
timeOfDayLighting["dusk_overcast"]["AmbientColour"]["Y"] = 0.25
timeOfDayLighting["dusk_overcast"]["AmbientColour"]["Z"] = 0.15
timeOfDayLighting["dusk_overcast"]["DiffuseColour"] = {}
timeOfDayLighting["dusk_overcast"]["DiffuseColour"]["X"] = 0.4
timeOfDayLighting["dusk_overcast"]["DiffuseColour"]["Y"] = 0.55
timeOfDayLighting["dusk_overcast"]["DiffuseColour"]["Z"] = 0.55

timeOfDayLighting["sunny"] = {}
timeOfDayLighting["sunny"]["AmbientColour"] = {}
timeOfDayLighting["sunny"]["AmbientColour"]["X"] = 0.4
timeOfDayLighting["sunny"]["AmbientColour"]["Y"] = 0.4
timeOfDayLighting["sunny"]["AmbientColour"]["Z"] = 0.35
timeOfDayLighting["sunny"]["DiffuseColour"] = {}
timeOfDayLighting["sunny"]["DiffuseColour"]["X"] = 0.65
timeOfDayLighting["sunny"]["DiffuseColour"]["Y"] = 0.65
timeOfDayLighting["sunny"]["DiffuseColour"]["Z"] = 0.6

timeOfDayLighting["dusk_sunny"] = {}
timeOfDayLighting["dusk_sunny"]["AmbientColour"] = {}
timeOfDayLighting["dusk_sunny"]["AmbientColour"]["X"] = 0.35
timeOfDayLighting["dusk_sunny"]["AmbientColour"]["Y"] = 0.3
timeOfDayLighting["dusk_sunny"]["AmbientColour"]["Z"] = 0.25
timeOfDayLighting["dusk_sunny"]["DiffuseColour"] = {}
timeOfDayLighting["dusk_sunny"]["DiffuseColour"]["X"] = 0.65
timeOfDayLighting["dusk_sunny"]["DiffuseColour"]["Y"] = 0.6
timeOfDayLighting["dusk_sunny"]["DiffuseColour"]["Z"] = 0.55

outfile = open("rlighting-no-shadows.nfsms","w")
newTimeOfDayLighting = {}
for weather in timeOfDayLighting:
	newTimeOfDayLighting[weather] = {}
	for property in timeOfDayLighting[weather]:
		newTimeOfDayLighting[weather][property] = {}
		for channel in timeOfDayLighting[weather][property]:
			newTimeOfDayLighting[weather][property][channel] = (timeOfDayLighting[weather]["AmbientColour"][channel] * (1.0 - diffuseAmount)) + (timeOfDayLighting[weather]["DiffuseColour"][channel] * diffuseAmount)
			outfile.write("update_field timeofdaylighting " +weather+ " " +property+ " " +channel+ " " +str(newTimeOfDayLighting[weather][property][channel])+ "\n")
outfile.close()